Next: COSH, Previous: COS, Up: Intrinsic Procedures

### 8.74 `COSD` — Cosine function, degrees

Description:
  `COSD(X)` computes the cosine of X in degrees.

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:
  GNU extension, enabled with `-fdec-math`.
Class:
  Elemental function
Syntax:
  `RESULT = COSD(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. The real part of the result is in degrees. If X is of the type `REAL`, the return value lies in the range -1 \leq \cosd (x) \leq 1.
Example:

                program test_cosd
                  real :: x = 0.0
                  x = cosd(x)
                end program test_cosd

Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `COSD(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DCOSD(X)` | `REAL(8) X` | `REAL(8)` | GNU extension
  `CCOSD(X)` | `COMPLEX(4) X` | `COMPLEX(4)` | GNU extension
  `ZCOSD(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension
  `CDCOSD(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension

See also:
  Inverse function: ACOSD Radians function: COS